<div class="input-calendar-entry" {{did-insert this.setup}}>
  <div class="row">
    <div class="col-12 col-md-6 col-lg-4 ps-0 pe-0">
      <label class="mb-2">{{t "calendar-entry-begins-on"}}</label>
      <Input::Date
        class="mb-3 value-begin"
        @allowUnset={{false}}
        @allowDate={{true}}
        @allowTime={{false}}
        @value={{this.value.begin}}
        @onChange={{fn this.change "begin"}}
      />
    </div>
    <div class="col-12 col-md-6 col-lg-2">
      <label class="mb-2">{{t "calendar-entry-at"}}</label>
      <Input::Date
        class="mb-3 value-begin"
        @allowUnset={{false}}
        @allowDate={{false}}
        @allowTime={{true}}
        @value={{this.value.begin}}
        @onChange={{fn this.change "begin"}}
      />
    </div>

    <div class="col-12 col-md-6 col-lg-2 ps-0">
      <label class="mb-2">{{t "calendar-entry-to"}}</label>
      <Input::Date
        class="mb-3 value-end"
        @allowUnset={{false}}
        @allowDate={{false}}
        @allowTime={{true}}
        @value={{this.value.end}}
        @onChange={{fn this.change "end"}}
      />
    </div>
    <div class="col-12 col-md-6 col-lg-4 ps-0">
      <label class="mb-2">{{t "calendar-entry-ends-on"}}</label>
      <Input::Date
        class="mb-3 value-end"
        @allowUnset={{false}}
        @allowDate={{true}}
        @allowTime={{false}}
        @value={{this.value.end}}
        @onChange={{fn this.change "end"}}
      />
    </div>
  </div>

  {{#if this.hasInvalidEndDate}}
    <div class="alert alert-danger alert-end-date-before-start" role="alert">
      {{t "calendar-entry.end-date-before-start"}}
    </div>
  {{/if}}

  <label class="mb-2">{{t "repeats"}}</label>
  <Input::Select
    class="mb-3 value-repeats"
    @list={{this.repetitionTypes}}
    @value={{this.value.repetition}}
    @onChange={{this.changeRepetition}}
  />

  {{#if this.hasIntervalEnd}}
    <label class="mb-2">{{t "calendar-entry-repeats-until"}}</label>
    <Input::Date
      class="mb-3 value-interval-end"
      @allowUnset={{false}}
      @allowDate={{true}}
      @allowTime={{false}}
      @value={{this.value.intervalEnd}}
      @onChange={{fn this.change "intervalEnd"}}
    />

    {{#if this.hasInvalidRepetition}}
      <div class="alert alert-danger alert-interval-end-date-before-end" role="alert">
        {{t "calendar-entry.interval-end-date-before-end"}}
      </div>
    {{/if}}
  {{/if}}

  <div>
    <label class="mb-2">{{t "timezone"}}</label>
    <Input::Timezone @value={{this.value.timezone}} @onChange={{this.changeTimeZone}} />
  </div>
</div>